Doomsday Engine - Feature #1768

Boom compatibility
2014-04-18 08:39 - skyjake

Status: Progressed Start date: 2004-02-08
Priority: High % Done: 20%
Assignee:

Category: 3rd party compatibility

Target version: Modding

Description

PrBoom adds many modding features and gameplay enhancements to Doom without sacrificing vanilla compatibility. Doomsday and

libdoom should have support for these features.

Subtasks:
Feature # 1325: Boom line types and sectors

Progressed

Related issues:

Related to Feature #2155: BOOM support for sunlust.wad New 2016-04-02
Related to Bug #2013: [Doom] Pain Elemental Vanilla/Boom compatibility option New 2015-04-08
Related to Bug #2012: [Doom] Boom bug in Memento Mori Il New 2015-04-08
History

#1 - 2014-04-18 08:42 - skyjake

danij has been working on this for years and much of the required work has already been done:
http:/dengine.net/forums/viewtopic.php?f=9&t=1368&p=8917#p8916

The significant remaining jobs are (ordered from most to least important):

e implement their method of "generalised line specials" in libcommon (later on, merge with XG 2.0? #1620)
e implement the various new thinker types
e extend the renderer with support for translucent walls

¢ extend the renderer to allow multiple skies to drawn from the same view point (the sky geometry is essentially split vertically into horizontal

sections using the map vertices)

#2 - 2014-05-10 12:38 - Gary

| wonder what it would be like if you combine Boom with models, if that is even possible.

#3 - 2015-05-31 18:26 - skyjake
- Description updated

#4 - 2015-05-31 18:26 - skyjake

- Description updated

#5 - 2016-07-06 00:01 - skyjake

- Status changed from In Progress to Progressed

#6 - 2019-11-29 12:31 - skyjake

- Target version set to Modding

#7 - 2019-11-29 23:28 - skyjake
- Related to Feature #2155: BOOM support for sunlust.wad added

#8 - 2019-11-29 23:29 - skyjake
- Related to Bug #2013: [Doom] Pain Elemental Vanilla/Boom compatibility option added

#9 - 2019-11-29 23:30 - skyjake
- Related to Bug #2012: [Doom] Boom bug in Memento Mori Il added
